/*
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
*/

tinyMCE.init({
    width : "800",
    height : "500",
	language : '{{mce_lang}}',
    relative_urls : false,
	mode : "textareas",
	editor_deselector : "nomce",
	theme : "advanced",
	content_css : "{% url "mce_style.css" %}",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_buttons1 : "fullscreen,|,preview,code,cleanup,|,visualaid,|,removeformat,|,cut,copy,paste,pastetext,pasteword,|,undo,redo,|,search,replace,|,help",
	theme_advanced_buttons2 : "formatselect,fontselect,fontsizeselect,styleselect,|,bold,italic,underline,strikethrough,|,forecolor,backcolor,|,justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,outdent,indent",
	theme_advanced_buttons3 : "link,unlink,anchor,|,image,|,insertdate,inserttime,|,tablecontrols,|,charmap,emotions,sub,sup,hr,advhr,blockquote,nonbreaking",
	theme_advanced_link_targets : "",
    auto_cleanup_word : true,
	plugins : "table,paste,spellchecker,save,advhr,advimage,advlink,emotions,iespell,insertdatetime,preview,searchreplace,media,contextmenu,fullscreen,nonbreaking",
	plugin_insertdate_dateFormat : "%m/%d/%Y",
	plugin_insertdate_timeFormat : "%H:%M:%S",
	external_image_list_url : "{% url "imagelist.js" %}",
	external_link_list_url : "{% url "linklist.js" app_name %}",
    extended_valid_elements : "a[name|href|title|onclick|target|class],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name|style]hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],iframe[src|width|height|name|align]"
});
