# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
  This is very influenced by Django Flatpage
"""

import settings
from django.utils.translation import ugettext as _
import models
import re
from django.conf import settings as project_settings
from django.core.mail import mail_admins

def exec_pycode(var, obj):
    if obj.py_code:
        try:
            if obj.py_code in [x[0] for x in settings.PYCODE_CHOICES]:
                dot = obj.py_code.rfind('.')
                #split module (before last dot) and function (after last dot)
                module, function = obj.py_code[:dot], obj.py_code[dot+1:]
                #import the function
                exec("from {0} import {1}".format(module, function))
                #execute the function
                return eval(function)(var, obj)
            else:
                raise Exception(_(u'forbidden pycode'))
        except Exception, err:
            if project_settings.DEBUG:
                err_txt = _(u'Error in {0} pycode: {1}').format(obj.py_code, err)
                print err_txt
            else:
                mail_admins(_(u'pycode error'), err)
            return _('pycode error')


def exec_menu_pycode(user, menu):
    return exec_pycode(user, menu)
    
def exec_plugin_pycode(request, plugin):
    return exec_pycode(request, plugin)
    
def get_django_page(site, path):
    for dj_page in models.DjangoPage.objects.filter(site=site):
        if re.match(dj_page.regex, path):
            return models.CustomPage(path, dj_page.title, dj_page.description, dj_page.get_config())