# -*- coding: utf-8 -*-
"""
  tortue-logo : draw with logo into your browser
  (C)2011 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.conf.urls import patterns, url

urlpatterns = patterns('logoweb.views',
    (r'^profile/$', 'view_profile'),
    (r'^profile/edit$', 'edit_profile'),
    (r'^profile/delete$', 'delete_account'),
    (r'^profile/functions$', 'view_functions'),
    (r'^myfunctions$', 'my_functions'),
    (r'^feedback$', 'feedback_form_view'),
    (r'^profile/functions/(?P<id>\d+)$', 'update_function'),
    (r'^(?P<lang>\w+)/save/$', 'save_function'),
    (r'^(?P<lang>\w+)/load/$', 'load_function'),                       
)
