# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.core.management.base import BaseCommand
import shutil, os
from django.conf import settings
from django.utils.translation import ugettext as _

class Command(BaseCommand):
    help = "Initialization of the flatcms app"
        
    def handle(self, *args, **options):
        tool_path =  os.path.dirname(os.path.abspath(__file__))
        flactms_media_path = os.path.normpath(tool_path+'/../../media')
        
        for arg in args:
            if arg=="renew":
                for folder in os.listdir(flactms_media_path):
                    if folder in ('css', 'images'):
                        continue #Skip this one which can be customized
                    
                    folder_to_remove = settings.MEDIA_ROOT+'/'+folder
                    try:
                        print _(u'remove {0}').format(folder_to_remove)
                        shutil.rmtree(folder_to_remove)
                        print _(u'Ok')
                    except Except, e:
                        print _(u'KO: {0}').format(e)
        
        print _(u"Copy media files to {0}").format(settings.MEDIA_ROOT)
        for folder in os.listdir(flactms_media_path):
            try:
                folder_to_copy = flactms_media_path+'/'+folder
                print _(u'copy {0}').format(folder_to_copy)
                shutil.copytree(folder_to_copy, settings.MEDIA_ROOT+'/'+folder)
                print _(u'Ok')
            except Exception, e:
                if folder in ('css', 'images'):
                    print _(u"Warning: The {0} folder can't be overwritten").format(folder)
                else:
                    print _(u"The operation has failed: {0}").format(e)
                    print _(u"Try to delete the already deployed files thanks to the 'renew' option")
        