/*
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
*/

tinyMCE.init({
    width : "800",
    height : "500",
    relative_urls : false,
	mode : "textareas",
	editor_deselector : "nomce",
	theme : "advanced",
	content_css : "/flatcms/css/mce_style.css",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_buttons1 : "fullscreen,|,preview,|,cut,copy,paste,pastetext,pasteword,|,undo,redo,|,search,replace,|,code,|,cleanup,|,bold,italic,underline,strikethrough,|,forecolor,backcolor,|,justifyleft,justifycenter,justifyright,justifyfull,|,help",
	theme_advanced_buttons2 : "removeformat,|,formatselect,fontselect,fontsizeselect,|,styleselect,|,bullist,numlist,outdent,indent,|,link,unlink,anchor",
	theme_advanced_buttons3 : "sub,sup,|,image,insertdate,inserttime,|,tablecontrols,|,hr,advhr,visualaid,|,charmap,emotions,|",
	theme_advanced_link_targets : "",
    auto_cleanup_word : true,
	plugins : "table,paste,spellchecker,save,advhr,advimage,advlink,emotions,iespell,insertdatetime,preview,searchreplace,media,contextmenu,fullscreen",
	plugin_insertdate_dateFormat : "%m/%d/%Y",
	plugin_insertdate_timeFormat : "%H:%M:%S",
	external_image_list_url : "/flatcms/js/imagelist.js",
	external_link_list_url : "/flatcms/js/linklist.js",
    extended_valid_elements : "a[name|href|title|onclick|target|class],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name|style]hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],iframe[src|width|height|name|align]",
	fullscreen_settings : {
		theme_advanced_path_location : "top",
		theme_advanced_buttons1 : "fullscreen,|,preview,|,cut,copy,paste,pastetext,pasteword,|,undo,redo,|,search,replace,|,code,|,cleanup,|,bold,italic,underline,strikethrough,|,forecolor,backcolor,|,justifyleft,justifycenter,justifyright,justifyfull,|,help",
		theme_advanced_buttons2 : "removeformat,|,formatselect,fontselect,fontsizeselect,|,bullist,numlist,outdent,indent,|,link,unlink,anchor",
		theme_advanced_buttons3 : "sub,sup,|,image,insertdate,inserttime,|,tablecontrols,|,hr,advhr,visualaid,|,charmap,emotions|"
	}
});

